/* 1800, Sun 25 Nov 01 (PST)

   PCAP_CYGWD.H: Globals for Nevil's cygwin/WinDump verions of libpcap

   Copyright (C) 1992-2002 by Nevil Brownlee,
   CAIDA & The University of Auckland */


#if !defined CYGWD_EXT
# define CYGWD_EXT extern
# define DECLARE    0
# define INIT(v)
#else
# define CYGWD_EXT
# define DECLARE    1
# define INIT(v)    = v
#endif


#define WDifBufSize   512000  /* Interface buffer (in struct PACKET) */
#define RecBufSize    151400  /* Receive buffer (in struct pcap_t) */

#define MX_INTERFACES  4
CYGWD_EXT char *if_names[MX_INTERFACES];
CYGWD_EXT int cyg_interfaces;


int find_interfaces(void);              /* Functions in cygwin-net.c */

int cygwd_setbuff(int fd, int dim);
int cygwd_stats(int fd, struct bpf_stat *ps);
int cygwd_have_adapter(int fd);
int cygwd_setfilter(int fd, struct bpf_program *fp);
int cygwd_open_adaptor(char *device);
void cygwd_set_hwfilter(int fd, int promisc);
int cygwd_get_nettype(int fd, u_int *linktype);
int cygwd_init_adaptor(int fd, char *buf, int sz_buf, int to_ms);
# define CYF_POK  1
# define CYF_PAP  2
# define CYF_PSB  3
# define CYF_PST  4
void cygwd_close_adaptor(int fd);
int cygwd_receive_packet(int fd, int *cc);


